Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.wsdl
Class SkeletonImpl

    java.lang.Object
      org.apache.axis.wsdl.SkeletonImpl

All Implemented Interfaces:
  java.io.Serializable, Skeleton

public class SkeletonImpl
extends java.lang.Object
implements Skeleton

Provides Base function implementation for the Skeleton interface

See Also:
  Serialized Form

Constructor Summary
`SkeletonImpl()` Constructor

Method Summary
`void` | `add(java.lang.String operation, QName[] names, ParameterMode[] modes, java.lang.String inputNamespace, java.lang.String outputNamespace, java.lang.String soapAction)` Add operation name and vector containing return and parameter names.
`void` | `add(java.lang.String operation, java.lang.String[] names, ParameterMode[] modes, java.lang.String inputNamespace, java.lang.String outputNamespace, java.lang.String soapAction)` Convenience method which allows passing an array of Strings which will be converted into QNames with no namespace.
`java.lang.String` | `getInputNamespace(java.lang.String operationName)` Used to return the namespace of the input clause of the given operation.
`java.lang.String` | `getOutputNamespace(java.lang.String operationName)` Used to return the namespace of the output clause of the given operation.
`ParameterMode` | `getParameterMode(java.lang.String operationName, int n)` Used to return the mode of the n-th parameter of the specified operation.
`QName` | `getParameterName(java.lang.String operationName, int n)` Used to return the name of the n-th parameter of the specified operation.
`java.lang.String` | `getSOAPAction(java.lang.String operationName)` Used to return the SOAPAction of the given operation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SkeletonImpl

    public SkeletonImpl()

  Constructor

Method Detail

### add

    public void add(java.lang.String operation,
                    QName[] names,
                    ParameterMode[] modes,
                    java.lang.String inputNamespace,
                    java.lang.String outputNamespace,
                    java.lang.String soapAction)

  Add operation name and vector containing return and parameter names. The first name in the array is either the return name (which should be set to null if there is no return name)

  Parameters:
    `operation` -
    `names` -
    `modes` -
    `inputNamespace` -
    `outputNamespace` -
    `soapAction` -

### add

    public void add(java.lang.String operation,
                    java.lang.String[] names,
                    ParameterMode[] modes,
                    java.lang.String inputNamespace,
                    java.lang.String outputNamespace,
                    java.lang.String soapAction)

  Convenience method which allows passing an array of Strings which will be converted into QNames with no namespace.

  Parameters:
    `operation` -
    `names` -
    `modes` -
    `inputNamespace` -
    `outputNamespace` -
    `soapAction` -

### getParameterName

    public QName getParameterName(java.lang.String operationName,
                                  int n)

  Used to return the name of the n-th parameter of the specified operation. Use -1 to get the return type name Returns null if problems occur or the parameter is not known.

  Parameters:
    `operationName` -
    `n` -
  Returns:

### getParameterMode

    public ParameterMode getParameterMode(java.lang.String operationName,
                                          int n)

  Used to return the mode of the n-th parameter of the specified operation. Use -1 to get the return mode. Returns null if problems occur or the parameter is not known.

  Parameters:
    `operationName` -
    `n` -
  Returns:

### getInputNamespace

    public java.lang.String getInputNamespace(java.lang.String operationName)

  Used to return the namespace of the input clause of the given operation. Returns null if problems occur.

  Parameters:
    `operationName` -
  Returns:

### getOutputNamespace

    public java.lang.String getOutputNamespace(java.lang.String operationName)

  Used to return the namespace of the output clause of the given operation. Returns null if problems occur.

  Parameters:
    `operationName` -
  Returns:

### getSOAPAction

    public java.lang.String getSOAPAction(java.lang.String operationName)

  Used to return the SOAPAction of the given operation. Returns null if problems occur.

  Parameters:
    `operationName` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Web Services Project. All Rights Reserved.